Loading...
Searching...
No Matches
etl::private_crc::crc_parameters< TAccumulator, Polynomial_, Initial_, Xor_Out_, Reflect_ > Struct Template Reference

## Public Types

typedef TAccumulator | accumulator_type

## Static Public Attributes

static ETL_CONSTANT TAccumulator | Polynomial = Polynomial_
static ETL_CONSTANT TAccumulator | Initial = Initial_
static ETL_CONSTANT TAccumulator | Xor_Out = Xor_Out_
static ETL_CONSTANT bool | Reflect = Reflect_
static ETL_CONSTANT size_t | Accumulator_Bits = etl::integral_limits<accumulator_type>::bits

The documentation for this struct was generated from the following file:

- include/etl/private/crc_parameters.h